{% macro breadcrumb() %}
    <nav aria-label="breadcrumb" style="margin-bottom: .5em; margin-top: .5em">
        <ol class="breadcrumb">
            {% for item in breadcrumb %}
                {% if not loop.last and item.url %}
                    <li class="breadcrumb-item"><a href="{{ item.url }}">{{ item.label }}</a></li>
                {% else %}
                    <li class="breadcrumb-item active" aria-current="page">{{ item.label }}</li>
                {% endif %}
            {% endfor %}
        </ol>
    </nav>
{% endmacro %}

{% macro image(item) -%}
    {%- apply spaceless %}
        {% if item and item.file is defined and item.file %}
            <a href="{{ item|href }}" target="_blank" class="admin-image tn"
               style="background-image: url('{{ item|tn }}');">
            </a>
        {% else %}
            <span class="admin-image blank"></span>
        {% endif %}
    {% endapply -%}
{%- endmacro %}

{% macro attributes(item) -%}
    {% for attr in item.attributes %}
        {% apply spaceless %}
            <span class="attribute attributes-{{ attr.type }}">
                <em>{{ attr.type }}</em>
                <span>{{ attr.name }}</span>
            </span>
        {% endapply %}
    {% endfor %}
{%- endmacro %}

{% macro catalog_symbol(serie) -%}
    {%- if serie.catalog -%}
        <i class="fas fa-book" title="{{ serie.catalog~(serie.catalogPage ? ' - '~serie.catalogPage : '') }}"></i>
    {%- endif -%}
{%- endmacro %}

{% macro pagination(text) %}
    <span class="badge badge-light">{{ pagination.itemCount }} {{ text }}</span>
    {% if pagination.pageCount > 1 %}
        <nav class="footer-pagination">
            <ul class="pagination pagination-sm">
                {% if pagination.pageNum > 1 %}
                    <li class="page-item">
                        <a class="page-link" href="?page={{ pagination.pageNum - 1 }}" tabindex="-1">&laquo;</a>
                    </li>
                {% else %}
                    <li class="page-item disabled">
                        <a class="page-link" href="#" tabindex="-1" aria-disabled="true">&laquo;</a>
                    </li>
                {% endif %}
                {% for i in pagination %}
                    {% if i == 0 %}
                        <li class="page-item disabled">
                            <a class="page-link" href="#">&#8230;</a>
                        </li>
                    {% elseif pagination.pageNum == i %}
                        <li class="page-item active" aria-current="page">
                            <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                        </li>
                    {% else %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                        </li>
                    {% endif %}
                {% endfor %}
                {% if pagination.pageNum < pagination.pageCount %}
                    <li class="page-item">
                        <a class="page-link" href="?page={{ pagination.pageNum + 1 }}" tabindex="-1">&raquo;</a>
                    </li>
                {% else %}
                    <li class="page-item disabled">
                        <a class="page-link" href="#" tabindex="-1" aria-disabled="true">&raquo;</a>
                    </li>
                {% endif %}
            </ul>
        </nav>
    {% endif %}
{% endmacro %}

{% macro flag(country) -%}
    <span class="flag-icon flag-icon-{{ country.abbr|lower }}"></span>
{%- endmacro %}
